Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2014-08-20
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

--- a/Makefile.am	2014-08-19 22:45:13.105608241 +0200
+++ b/Makefile.am	2014-08-20 19:10:25.165180155 +0200
@@ -2556,7 +2556,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-login.h \
@@ -5551,12 +5555,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
--- a/Makefile.in	2014-08-19 23:25:16.844861060 +0200
+++ b/Makefile.in	2014-08-20 19:10:25.169180216 +0200
@@ -1310,21 +1310,18 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_294 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_295 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_296 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_297 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_294 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_295 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_296 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_298 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_297 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
+@HAVE_SYSV_COMPAT_TRUE@am__append_298 = \
+@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
+
 @HAVE_SYSV_COMPAT_TRUE@am__append_299 = \
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
@@ -1338,9 +1335,6 @@
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
 @HAVE_SYSV_COMPAT_TRUE@am__append_303 = \
-@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
-
-@HAVE_SYSV_COMPAT_TRUE@am__append_304 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1349,25 +1343,25 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_305 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_304 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_306 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_305 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_307 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_306 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@HAVE_PYTHON_TRUE@am__append_308 = \
+@HAVE_PYTHON_TRUE@am__append_307 = \
 @HAVE_PYTHON_TRUE@	--with-python
 
-@ENABLE_GTK_DOC_TRUE@am__append_309 = \
+@ENABLE_GTK_DOC_TRUE@am__append_308 = \
 @ENABLE_GTK_DOC_TRUE@	--enable-gtk-doc
 
 subdir = .
@@ -4901,8 +4895,8 @@
 	$(am__append_266) $(am__append_289) $(nodist_systemunit_DATA) \
 	$(nodist_userunit_DATA) $(pkgconfigdata_DATA) \
 	$(pkgconfiglib_DATA) $(nodist_polkitpolicy_DATA) \
-	$(am__append_298) defined undefined
-DISTCLEANFILES = $(am__append_297)
+	$(am__append_297) defined undefined
+DISTCLEANFILES = $(am__append_296)
 
 # Really, do not edit this file.
 EXTRA_DIST = shell-completion/bash/systemctl.in \
@@ -5124,10 +5118,10 @@
 	install-touch-usr-hook systemd-detect-virt-install-hook \
 	$(am__append_95) bus-proxyd-install-hook \
 	libsystemd-install-hook libudev-install-hook $(am__append_126) \
-	journal-install-hook $(am__append_295)
+	journal-install-hook $(am__append_294)
 UNINSTALL_EXEC_HOOKS = $(am__append_96) bus-proxyd-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	journal-uninstall-hook $(am__append_296)
+	journal-uninstall-hook $(am__append_295)
 INSTALL_DATA_HOOKS = units-install-hook hwdb-update-hook \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -5167,7 +5161,11 @@
 include_HEADERS = src/libudev/libudev.h
 noinst_DATA = $(am__append_53) $(am__append_55) $(am__append_106)
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_117) $(am__append_294)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc \
+	$(am__append_117)
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -5302,7 +5300,7 @@
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_78) $(am__append_84) \
 	$(sysconfdir)/udev/rules.d $(sysconfdir)/udev/hwdb.d \
-	$(am__append_164) $(am__append_282) $(am__append_305) \
+	$(am__append_164) $(am__append_282) $(am__append_304) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -5313,11 +5311,11 @@
 	$(pkgsysconfdir)/system/getty.target.wants \
 	$(pkgsysconfdir)/user $(dbussessionservicedir) \
 	$(sysconfdir)/xdg/systemd
-RUNLEVEL1_TARGET_WANTS = $(am__append_299)
-RUNLEVEL2_TARGET_WANTS = $(am__append_300)
-RUNLEVEL3_TARGET_WANTS = $(am__append_301)
-RUNLEVEL4_TARGET_WANTS = $(am__append_302)
-RUNLEVEL5_TARGET_WANTS = $(am__append_303)
+RUNLEVEL1_TARGET_WANTS = $(am__append_298)
+RUNLEVEL2_TARGET_WANTS = $(am__append_299)
+RUNLEVEL3_TARGET_WANTS = $(am__append_300)
+RUNLEVEL4_TARGET_WANTS = $(am__append_301)
+RUNLEVEL5_TARGET_WANTS = $(am__append_302)
 SHUTDOWN_TARGET_WANTS = 
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount
 MULTI_USER_TARGET_WANTS = $(am__append_283) getty.target \
@@ -5345,7 +5343,7 @@
 USER_BUSNAMES_TARGET_WANTS = 
 SYSTEM_UNIT_ALIASES = $(am__append_195) $(am__append_208) \
 	$(am__append_220) $(am__append_242) $(am__append_253) \
-	$(am__append_284) $(am__append_304) graphical.target \
+	$(am__append_284) $(am__append_303) graphical.target \
 	default.target reboot.target ctrl-alt-del.target \
 	getty@.service autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -8769,8 +8767,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --disable-split-usr \
-	--enable-kdbus --enable-compat-libs $(am__append_306) \
-	$(am__append_307) $(am__append_308) $(am__append_309)
+	--enable-kdbus --enable-compat-libs $(am__append_305) \
+	$(am__append_306) $(am__append_307) $(am__append_308)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
